<?php
$server   = "localhost";
$username = "sanmates_inventario";
$password = "P@88w0rd.0";
$database = "";

// Obtener el nombre del host al que se está accediendo
$host = $_SERVER['HTTP_HOST'];

// Determinar la base de datos según el nombre del host

//VENTAS
if (stripos($host, 'almacenventas.sanmatias.mx') !== false) {
    $database = "sanmatespecial_inventarioventas3";
//CDC    
} elseif (stripos($host, 'almacencdc.sanmatias.mx') !== false) {
    $database = "sanmates_inventariocdc3";
//RANCHO -- ahorita esta en test
} elseif (stripos($host, 'almacenrancho.sanmatias.mx') !== false) {
    $database = "sanmatespecial_inventariorancho3";
//MKT
} elseif (stripos($host, 'almacenmkt.sanmatias.mx') !== false) {
    $database = "sanmates_inventariomkt3";
//TRADE    
} elseif (stripos($host, 'almacentrade.sanmatias.mx') !== false) {
    $database = "sanmates_inventariotrade3";
//EXP    
} elseif (stripos($host, 'almacenexp.sanmatias.mx') !== false) {
    $database = "sanmates_inventarioexp3";
//NM    
}  elseif (stripos($host, 'almacennm.sanmatias.mx') !== false) {
    $database = "sanmatespecial_inventarionuevosmercados3";
} 
//AUTLAN

elseif (stripos($host, 'almacenautlan.sanmatias.mx') !== false) {
    $database = "sanmatespecial_almacenautlan";
} 

else {
    // Si la URL no coincide con ninguna de las anteriores, establecer una base de datos predeterminada
    $database = "casaarandas_default";
}

// Conectar a la base de datos seleccionada
$mysqli = new mysqli($server, $username, $password, $database);

// Verificar la conexión
if ($mysqli->connect_error) {
    die('Error de conexión: ' . $mysqli->connect_error);
}

// Hacer algo con la conexión...
?>
